<div class="row">
  <div class="col-lg-12 col-md-12">
    <ol class="breadcrumb">
      <li>
        <a ui-sref="nav.projects">Dashboard</a>
      </li>
      <li>
        <a ui-sref="nav.project.sprints({project_id: project.id})">Project's View - Sprints</a>
      </li>
      <li class="active">
        <a ui-sref="nav.wrorkingtasks({project_id: project.id, sprint_id: sprint.id})">Working with tasks</a>
      </li>
    </ol>
  </div>
</div>
<span ng-if="loading == true">
  <center style="margin-top: 100px;">
    <%= image_tag "spiner.gif" %>
  </center>
</span>
<span ng-if="loading == false">
  <div class="row">
    <div class="col-lg-12 col-md-12">
      <dl class="dl-horizontal">
        <dt>Sprint
        </dt>
        <dd>{{sprint.name}}</dd>
        <dt>Start with date
        </dt>
        <dd>{{sprint.start_date}}</dd>
        <dt>End with date
        </dt>
        <dd>{{sprint.end_date}}</dd>
        <dt>Sumary Estimation</dt>
        <dd>{{lists.sumaryEstimate}}</dd>
        <dt>In Poject</dt>
        <dd>{{project.name}}</dd>
      </dl>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">
      <div class="row">
        <div class="col-md-4 col-lg-4">
          <div class="panel panel-default">
            <div class="panel-heading">
              <i class="fa fa-list"></i>
              {{ lists.todo.name}}
            </div>
            <div class="panel-body">
              <ul class="list-group" dnd-list="lists.todo.items" dnd-allowed-types="lists.todo.allowed" style="min-height: 100px; list-style-type: none;">
                <li
                  ng-repeat="t in lists.todo.items | orderBy:['+priority','-kind']"
                  class="bs-callout bs-callout-default"
                  dnd-draggable="t"
                  dnd-type="t.status"
                  dnd-moved="setInProgres(t, $index);"
                  dnd-disable-if="t.status == 'Closed' || t.status == 'InProgres'"
                  dnd-effect-allowed="move"
                  dnd-selected="models.selected = t"
                  ng-class="{'selected': models.selected === t }">
                  <span ng-class="t.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                    {{t.kind}}
                  </span>&nbsp - &nbsp
                  <span ng-class="t.priority == 1 ? 'label label-info' : t.priority == 2 ? 'label label-warning' : 'label label-danger'">
                    {{t.priority}}
                  </span>&nbsp
                  <a ui-sref="nav.task({project_id: t.project_id, task_id: t.id})">{{t.name}}</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-4 col-lg-4">
          <div class="panel panel-info">
            <div class="panel-heading">
              <i class="fa fa-list"></i>
              {{ lists.actual.name }}
            </div>
            <div class="panel-body">
              <ul class="list-group" dnd-list="lists.actual.items" dnd-allowed-types="lists.actual.allowed" style="min-height: 100px; list-style-type: none;">
                <li
                  ng-repeat="t in lists.actual.items | orderBy:['+priority','-kind']"
                  class="bs-callout bs-callout-info"
                  dnd-draggable="t"
                  dnd-type="t.status"
                  dnd-disable-if="t.status == 'Created' || t.status == 'Closed'"
                  dnd-moved="setClosed(t, $index)"
                  dnd-effect-allowed="move"
                  dnd-selected="models.selected = t"
                  ng-class="{'selected': models.selected === t}">
                  <span ng-class="t.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                    {{t.kind}}
                  </span>&nbsp - &nbsp
                  <span ng-class="t.priority == 1 ? 'label label-info' : t.priority == 2 ? 'label label-warning' : 'label label-danger'">
                    {{t.priority}}
                  </span>&nbsp
                  <a ui-sref="nav.task({project_id: t.project_id, task_id: t.id})">{{t.name}}</a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="col-md-4 col-lg-4">
          <div class="panel panel-success">
            <div class="panel-heading">
              <i class="fa fa-list"></i>
              {{ lists.closed.name}}
            </div>
            <div class="panel-body">
              <ul class="list-group" dnd-list="lists.closed.items" dnd-allowed-types="lists.closed.allowed" style="min-height: 100px; list-style-type: none;">
                <li
                  ng-repeat="t in lists.closed.items | orderBy:['+priority','-kind']"
                  class="bs-callout bs-callout-success"
                  dnd-draggable="t"
                  dnd-type="t.status"
                  dnd-disable-if="t.status == 'Created' || t.status == 'InProgres'"
                  dnd-moved="list.splice($index, 1)"
                  dnd-effect-allowed="move"
                  dnd-selected="models.selected = t"
                  ng-class="{'selected': models.selected === t}">
                  <span ng-class="t.kind == 'Task' ? 'label label-primary' : 'label label-default'">
                    {{t.kind}}
                  </span>&nbsp - &nbsp
                  <span ng-class="t.priority == 1 ? 'label label-info' : t.priority == 2 ? 'label label-warning' : 'label label-danger'">
                    {{t.priority}}
                  </span>&nbsp
                  <a ui-sref="nav.task({project_id: t.project_id, task_id: t.id})">{{t.name}}</a>&nbsp
                  <button class="btn btn-success btn-xs" ng-click="reopenTask(t, $index)">Re-open</button>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</span>
